diff --git a/include/mruby/version.h b/include/mruby/version.h
index 9105229b9e..94b5d26b93 100644
--- a/include/mruby/version.h
+++ b/include/mruby/version.h
@@ -1,6 +1,7 @@
 #define MRUBY_RUBY_VERSION "1.9"
-#define MRUBY_VERSION "v1.0.0"
+#define MRUBY_RUBY_ENGINE  "mruby"
 
+#define MRUBY_VERSION "v1.0.0"
 #define MRUBY_RELEASE_MAJOR 1
 #define MRUBY_RELEASE_MINOR 0
 #define MRUBY_RELEASE_TEENY 1
diff --git a/src/version.c b/src/version.c
index 4d57ed93e8..fbe8a5838d 100644
--- a/src/version.c
+++ b/src/version.c
@@ -6,6 +6,7 @@ void
 mrb_init_version(mrb_state* mrb)
 {
   mrb_define_global_const(mrb, "RUBY_VERSION", mrb_str_new_lit(mrb, MRUBY_RUBY_VERSION));
+  mrb_define_global_const(mrb, "RUBY_ENGINE", mrb_str_new_lit(mrb, MRUBY_RUBY_ENGINE));
   mrb_define_global_const(mrb, "MRUBY_VERSION", mrb_str_new_lit(mrb, MRUBY_VERSION));
   mrb_define_global_const(mrb, "MRUBY_RELEASE_DATE", mrb_str_new_lit(mrb, MRUBY_RELEASE_DATE));
   mrb_define_global_const(mrb, "MRUBY_DESCRIPTION", mrb_str_new_lit(mrb, MRUBY_DESCRIPTION));
